/* vim: set noet ts=4 sw=4:
 *
 * Copyright (c) 2002-2009 Martin A. Godisch <martin@godisch.de>.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef LATRINE_CONSTANTS_H
#define LATRINE_CONSTANTS_H

#define WORDLIST_VERSION         10 
#define WORDLIST_VERSION_STRING "10"

#define COLOR_BACK   1
#define COLOR_LINE   2
#define COLOR_KEY    3
#define COLOR_INPUT  4

#define KEY_TAB      9
#define KEY_CTRL_L  12
#define KEY_RETURN  13
#define KEY_CTRL_U  21
#define KEY_ESC     27
#define KEY_Y       89
#define KEY_y      121
#define KEY_F1     265
#define KEY_F2     266
#define KEY_F3     267
#define KEY_F4     268
#define KEY_F5     269
#define KEY_F6     270

#define MAX_LANG    12
#define MAX_KEYMAP 256

#define L10N_NORMAL  _("normal")
#define L10N_REVERSE _("reverse")
#define L10N_MIXED   _("mixed")

#define DEFAULT_RANDCOUNT 20

#define MODE_MIXED   0
#define MODE_NORMAL  1
#define MODE_REVERSE 2

#define BUFSIZE  2048
#define BUFLEN   2048
#define HISTSIZE   32
#define HISTLEN    32
#define NUMBUFLEN  32
#define MAX_KEYMAP 256

#define BORDER_WIDTH 9

#endif
