/* vim: set noet ts=4 sw=4:
 *
 * Copyright (c) 2002-2009 Martin A. Godisch <martin@godisch.de>.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef LATRINE_DATA_H
#define LATRINE_DATA_H

struct word {
	int key;
	wchar_t *word;
};

struct known {
	int key;
	struct word word[2];
	char history[HISTLEN+1];
	int rate;
	char *section;
};

extern char *dictionary;
extern size_t randcount;
extern const char *dict_errmsg;

int open_dictionary(void);
void close_dictionary(void);

int select_word(struct known*);
int update_word(struct known*, const int);
int add_translation(const struct known*);
int delete_translation(const int);

void wfree(struct word *w);
wchar_t *word2s(struct word*);
int s2word(struct word *w, const wchar_t *s);
int wordcmp(struct word *w[2], const int);

#endif
