# Copyright (c) 2002-2009 Martin A. Godisch <martin@godisch.de>.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

AC_DEFUN([CHECK_DB_INTERFACE],[
	AC_ARG_ENABLE([$1],[AS_HELP_STRING([--enable-$1],[compile with $2 support])],[
		case "${enableval}" in
			yes)
				AC_CHECK_LIB([$4],[$5],,[AC_MSG_ERROR([lib$4.so missing])])
				dummy=true
				;;
			no)
				dummy=false
				;;
			*)
				AC_MSG_ERROR([bad value ${enableval} for --enable-$1])
				;;
		esac
	],[
		AC_CHECK_LIB([$4],[$5],,)
	])
	AM_CONDITIONAL([$3],[grep -q "^#define $3 1$" confdefs.h])
])
